## cgsi-gsoap 1.3.4.0

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ##
-# $Id: Makefile,v 1.24 2009/08/26 15:12:08 szamsu Exp $
+# $Id: Makefile 2169 2010-08-03 15:18:07Z baud $
 ##
 
 ifeq ($(SRCDIR), $(EMPTY))
@@ -34,7 +34,7 @@
 endif
 
 ifeq ($(GLOBUS_FLAVOUR), $(EMPTY))
-GLOBUS_FLAVOUR = gcc32dbgthr
+GLOBUS_FLAVOUR = gcc32dbg
 endif
 
 GLOBUS_FLAVOUR_PTHR=$(GLOBUS_FLAVOUR)pthr
