=== debian/changelog ===
cgsi-gsoap (1.3.4.0-1) unstable; urgency=low

  * Update to version 1.3.4.0.
  * Convert to source format 3.0.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 20 Dec 2010 18:59:30 +0100

cgsi-gsoap (1.3.3.2-1) unstable; urgency=low

  * Update to version 1.3.3.2 (Closes: #515226).
  * Change copyright file to reflect upstream license change.
  * Drop the patches - all applied upstream.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 23 Sep 2009 18:03:11 +0200

cgsi-gsoap (1.3.3.1-1) UNRELEASED; urgency=low

  * Update to version 1.3.3.1.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 17 Aug 2009 13:10:34 +0200

cgsi-gsoap (1.3.2.2-3) UNRELEASED; urgency=low

  * Changing deprecated Source:Version to binary:Version
    as requested by ftpmasters.
  * Overriding lintian warning about non-matching soname with package name.

 -- Steffen Moeller <moeller@debian.org>  Mon, 30 Mar 2009 00:02:00 +0200

cgsi-gsoap (1.3.2.2-2) UNRELEASED; urgency=low

  * Initial package uploaded.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 20 Jan 2009 00:57:22 +0100
