## cgsi-gsoap 1.3.4.2

=== debian/changelog ===
cgsi-gsoap (1.3.4.2-4) unstable; urgency=low

  * Properly use default LDFLAGS

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 07 Dec 2011 21:49:27 +0100

cgsi-gsoap (1.3.4.2-3) unstable; urgency=low

  * Convert copyright file to dep5 format
  * Fix old Vcs links in debian/control file

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 08 Nov 2011 06:33:17 +0100

cgsi-gsoap (1.3.4.2-2) unstable; urgency=low

  * Use dpkg's build flags
  * Add versioned gsoap dependencies to the binary packages

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 02 Nov 2011 10:39:21 +0100

cgsi-gsoap (1.3.4.2-1) unstable; urgency=low

  * Update to version 1.3.4.2.
  * Build against new gsoap (Closes: #636878).
  * Build against new voms.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 01 Sep 2011 21:06:28 +0200
