=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

INSTALLDIR = $(CURDIR)/debian/tmp

_prefix = /usr
_datadir = $(_prefix)/share
_docdir = $(_datadir)/doc

configure: configure-stamp
	:

configure-stamp:
	dh_testdir

	[ ! -e src/Makefile.save ] && cp -p src/Makefile src/Makefile.save || :

	# Fix bad permissions
	find . '(' -name '*.h' -o -name '*.c' -o -name '*.cpp' -o \
		   -name '*.cc' ')' -exec chmod 644 {} ';'
	chmod 644 LICENSE RELEASE-NOTES

	# Remove -L/usr/lib and -L/usr/lib64 since they may cause problems
	sed -e 's!-L$$([A-Z_]*)/lib!!' \
	    -e 's!-L$$([A-Z_]*)/$$(LIBDIR)!!' -i src/Makefile

	# Remove gsoap version from library names
	sed -e 's!$$(GSOAP_VERSION)!!g' -i src/Makefile

	touch $@

build: build-indep build-arch
	:

build-indep: build-stamp
	:

build-arch: build-stamp
	:

build-stamp: configure-stamp
	dh_testdir

	. ./VERSION && \
	cd src && \
	$(MAKE) CFLAGS="$(CFLAGS) -fPIC -I. `pkg-config --cflags gsoap`" \
		SHLIBLDFLAGS="$(LDFLAGS) -shared" \
		USE_VOMS=yes WITH_EMI=yes WITH_CPP_LIBS=yes \
		LIBDIR=lib VERSION=$$VERSION all doc

	touch $@

clean:
	dh_testdir
	dh_testroot

	. ./VERSION && \
	cd src && \
	$(MAKE) CFLAGS="$(CFLAGS) -fPIC -I. `pkg-config --cflags gsoap`" \
		SHLIBLDFLAGS="$(LDFLAGS) -shared" \
		USE_VOMS=yes WITH_EMI=yes WITH_CPP_LIBS=yes \
		LIBDIR=lib VERSION=$$VERSION clean

	rm -rf src/html
	rm -rf src/man

	[ -e src/Makefile.save ] && mv src/Makefile.save src/Makefile || :

	rm -f build-stamp configure-stamp

	dh_clean 

install: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k 

	# Yes, the makefile uses RPM_BUILD_ROOT instead of the normal DESTDIR

	. ./VERSION && \
	cd src && \
	$(MAKE) CFLAGS="$(CFLAGS) -fPIC -I. `pkg-config --cflags gsoap`" \
		SHLIBLDFLAGS="$(LDFLAGS) -shared" \
		USE_VOMS=yes WITH_EMI=yes WITH_CPP_LIBS=yes \
		LIBDIR=lib VERSION=$$VERSION \
		RPM_BUILD_ROOT=$(INSTALLDIR) install install.man

	mv $(INSTALLDIR)$(_docdir)/CGSI $(INSTALLDIR)$(_docdir)/cgsi-gsoap-dev

binary-indep:
	:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install --fail-missing
	dh_installman
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps -l debian/libcgsi-gsoap1/usr/lib

	GSOAPLIB=`readlink /usr/lib/libgsoap.so` && \
	GSOAPPKG=`dpkg -S $$GSOAPLIB | sed 's/:.*//'` && \
	echo "gsoap:Depends=$$GSOAPPKG" >> debian/libcgsi-gsoap1.substvars

	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
	:

VERSION=1.3.4.2
VERSTAG=1_3_4_2
get-orig-source:
	if [ -r ../cgsi-gsoap_$(VERSION).orig.tar.gz ] ; then \
	  echo "cgsi-gsoap_$(VERSION).orig.tar.gz is already existing." ; \
	else \
	  echo "Fetching upstream svn version" ; \
	  svn co http://svnweb.cern.ch/guest/lcgutil/cgsi-gsoap/tags/cgsi-gsoap_R_$(VERSTAG) cgsi-gsoap-$(VERSION) ; \
	  echo "Packing it up." ; \
	  tar --exclude .svn -z -c -f ../cgsi-gsoap_$(VERSION).orig.tar.gz \
	    cgsi-gsoap-$(VERSION) ; \
	  echo "Cleaning up." ; \
	  rm -rf cgsi-gsoap-$(VERSION) ; \
	fi

.Phony: build-indep build-arch build clean binary-indep binary-arch binary install configure get-orig-source
