=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ##
-# $Id: Makefile 2169 2010-08-03 15:18:07Z baud $
+# $Id: Makefile 2697 2010-12-16 09:21:36Z baud $
 ##
 
 ifeq ($(SRCDIR), $(EMPTY))
@@ -30,7 +30,11 @@
 ## project flags ##
 
 ifeq ($(GLOBUS_LOCATION), $(EMPTY))
+ifeq ($(WITH_EMI), $(EMPTY))
 GLOBUS_LOCATION=/opt/globus
+else
+GLOBUS_LOCATION=/usr
+endif
 endif
 
 ifeq ($(GLOBUS_FLAVOUR), $(EMPTY))
@@ -39,6 +43,40 @@
 
 GLOBUS_FLAVOUR_PTHR=$(GLOBUS_FLAVOUR)pthr
 
+ifeq ($(GSOAP_LOCATION), $(EMPTY))
+ifeq ($(WITH_EMI), $(EMPTY))
+GSOAP_LOCATION=/usr/local
+else
+GSOAP_LOCATION=/usr
+endif
+endif
+GSOAP_INCLUDE=-I$(GSOAP_LOCATION)/include
+
+ifeq ($(GSOAP_VERSION), $(EMPTY))
+GSOAP_VERSION=_gsoap_2.7
+endif
+
+LIBFILES =libcgsi_plugin$(GSOAP_VERSION).a 
+SHLIBFILES =libcgsi_plugin$(GSOAP_VERSION).so
+
+ifneq ($(WITH_CPP_LIBS), $(EMPTY))
+LIBFILES +=libcgsi_plugin$(GSOAP_VERSION)_cpp.a
+SHLIBFILES +=libcgsi_plugin$(GSOAP_VERSION)_cpp.so
+endif
+
+ifneq ($(WITH_EMI), $(EMPTY))
+GLOBUS_INCLUDE = -I$(GLOBUS_LOCATION)/include/globus -I$(GLOBUS_LOCATION)/$(LIBDIR)/globus/include
+GLOBUS_LIBS = -L$(GLOBUS_LOCATION)/$(LIBDIR) -lglobus_gssapi_gsi -lglobus_gss_assist
+
+ifneq ($(USE_VOMS), $(EMPTY))
+LIBFILES +=libcgsi_plugin_voms$(GSOAP_VERSION).a
+SHLIBFILES +=libcgsi_plugin_voms$(GSOAP_VERSION).so
+ifneq ($(WITH_CPP_LIBS), $(EMPTY))
+LIBFILES +=libcgsi_plugin_voms$(GSOAP_VERSION)_cpp.a
+SHLIBFILES +=libcgsi_plugin_voms$(GSOAP_VERSION)_cpp.so
+endif
+endif
+else
 GLOBUS_INCLUDE = -I$(GLOBUS_LOCATION)/include/$(GLOBUS_FLAVOUR)
 GLOBUS_LIBS = -L$(GLOBUS_LOCATION)/lib -lglobus_gssapi_gsi_$(GLOBUS_FLAVOUR) \
 	-lglobus_gss_assist_$(GLOBUS_FLAVOUR)
@@ -47,13 +85,18 @@
 GLOBUS_LIBS_PTHR = -L$(GLOBUS_LOCATION)/lib -lglobus_gssapi_gsi_$(GLOBUS_FLAVOUR_PTHR) \
         -lglobus_gss_assist_$(GLOBUS_FLAVOUR_PTHR)
 
-ifeq ($(GSOAP_LOCATION), $(EMPTY))
-GSOAP_LOCATION=/usr/local
-endif
-GSOAP_INCLUDE=-I$(GSOAP_LOCATION)/include
-
-ifeq ($(GSOAP_VERSION), $(EMPTY))
-GSOAP_VERSION=_gsoap_2.7
+ifneq ($(USE_VOMS), $(EMPTY))
+LIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR).a
+LIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR).a
+SHLIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR).so 
+SHLIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR).so
+ifneq ($(WITH_CPP_LIBS), $(EMPTY))
+LIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR)_cpp.a
+LIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR)_cpp.a
+SHLIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR)_cpp.so 
+SHLIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR)_cpp.so
+endif
+endif
 endif
 
 # major version number for shared library names
@@ -61,10 +104,14 @@
 
 
 # initial settings
-CFLAGS += -I. $(GSOAP_INCLUDE) -I$(SRCDIR)
+CFLAGS += -I. -I$(SRCDIR) $(GSOAP_INCLUDE)
 
 ifeq ($(VOMS_LOCATION), $(EMPTY))
+ifeq ($(WITH_EMI), $(EMPTY))
 VOMS_LOCATION=/opt/glite
+else
+VOMS_LOCATION=/usr
+endif
 endif
 
 ifeq ($(LIBDIR), $(EMPTY))
@@ -72,11 +119,16 @@
 endif
 
 ifneq ($(USE_VOMS), $(EMPTY))
+ifneq ($(WITH_EMI), $(EMPTY))
+VOMS_FLAGS = -DUSE_VOMS -I$(VOMS_LOCATION)/include/voms
+VOMS_LIBS=-L$(VOMS_LOCATION)/$(LIBDIR) -lvomsapi
+else
 VOMS_FLAGS = -DUSE_VOMS -I$(VOMS_LOCATION)/include/glite/security/voms
 VOMS_LIBS=-L$(VOMS_LOCATION)/$(LIBDIR) -lvomsapi_$(GLOBUS_FLAVOUR)
 
 VOMS_FLAGS_PTHR = -DUSE_VOMS -I$(VOMS_LOCATION)/include/glite/security/voms
 VOMS_LIBS_PTHR=-L$(VOMS_LOCATION)/$(LIBDIR) -lvomsapi_$(GLOBUS_FLAVOUR_PTHR)
+endif
 endif
 
 #CFLAGS += $(VOMS_FLAGS)
@@ -90,30 +142,7 @@
 ## compilation targets ##
 .PHONY: all
 
-
-all: libcgsi_plugin$(GSOAP_VERSION).a libcgsi_plugin$(GSOAP_VERSION).so
-
-ifneq ($(WITH_CPP_LIBS), $(EMPTY))
-all: libcgsi_plugin$(GSOAP_VERSION)_cpp.a libcgsi_plugin$(GSOAP_VERSION)_cpp.so
-endif
-
-ifneq ($(USE_VOMS), $(EMPTY))
-all: \
-	libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR).a \
-	libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR).so \
-	libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR).a \
-	libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR).so
-ifneq ($(WITH_CPP_LIBS), $(EMPTY))
-all: \
-	libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR)_cpp.a \
-	libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR)_cpp.so \
-	libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR)_cpp.a \
-	libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR)_cpp.so
-endif
-endif
-
-
-
+all: $(LIBFILES) $(SHLIBFILES)
 
 # dependencies
 cgsi_plugin.o: cgsi_plugin.c cgsi_plugin.h cgsi_plugin_int.h
@@ -140,6 +169,16 @@
 endif
 
 ifneq ($(USE_VOMS), $(EMPTY))
+cgsi_plugin_voms.o: cgsi_plugin.c cgsi_plugin.h cgsi_plugin_int.h
+	$(CC) $(CFLAGS) $(VOMS_FLAGS)  $(GLOBUS_INCLUDE) -c -o $@ $<
+
+libcgsi_plugin_voms$(GSOAP_VERSION).a: cgsi_plugin_voms.o
+	$(AR) $(ARFLAGS) $@ $?
+	$(RANLIB) $@
+
+libcgsi_plugin_voms$(GSOAP_VERSION).so: cgsi_plugin_voms.o
+	$(CC) $(SHLIBLDFLAGS) -Wl,-soname,$@.$(VMAJOR) -o $@ $? $(SHLIBREQLIBS) $(GLOBUS_LIBS) $(VOMS_LIBS)
+
 cgsi_plugin_voms_$(GLOBUS_FLAVOUR).o: cgsi_plugin.c cgsi_plugin.h cgsi_plugin_int.h
 	$(CC) $(CFLAGS) $(VOMS_FLAGS)  $(GLOBUS_INCLUDE) -c -o $@ $<
 
@@ -161,6 +200,16 @@
 	$(CC) $(SHLIBLDFLAGS) -Wl,-soname,$@.$(VMAJOR) -o $@ $? $(SHLIBREQLIBS) $(GLOBUS_LIBS_PTHR) $(VOMS_LIBS_PTHR)
 
 ifneq ($(WITH_CPP_LIBS), $(EMPTY))
+cgsi_plugin_voms_cpp.o: cgsi_plugin.c cgsi_plugin.h cgsi_plugin_int.h
+	$(CPP) $(CFLAGS) $(VOMS_FLAGS)  $(GLOBUS_INCLUDE) -c -o $@ $<
+
+libcgsi_plugin_voms$(GSOAP_VERSION)_cpp.a: cgsi_plugin_voms_cpp.o
+	$(AR) $(ARFLAGS) $@ $?
+	$(RANLIB) $@
+
+libcgsi_plugin_voms$(GSOAP_VERSION)_cpp.so: cgsi_plugin_voms_cpp.o
+	$(CPP) $(SHLIBLDFLAGS) -Wl,-soname,$@.$(VMAJOR) -o $@ $? $(SHLIBREQLIBS) $(GLOBUS_LIBS) $(VOMS_LIBS)
+
 cgsi_plugin_voms_$(GLOBUS_FLAVOUR)_cpp.o: cgsi_plugin.c cgsi_plugin.h cgsi_plugin_int.h
 	$(CPP) $(CFLAGS) $(VOMS_FLAGS)  $(GLOBUS_INCLUDE) -c -o $@ $<
 
@@ -203,28 +252,6 @@
 MANDIR =share
 DOCDIR =share/doc/CGSI$(GSOAP_VERSION)
 
-# insert space separated files to install (used for cleaning too) here
-LIBFILES =libcgsi_plugin$(GSOAP_VERSION).a 
-SHLIBFILES =libcgsi_plugin$(GSOAP_VERSION).so
-
-ifneq ($(WITH_CPP_LIBS), $(EMPTY))
-LIBFILES +=libcgsi_plugin$(GSOAP_VERSION)_cpp.a
-SHLIBFILES +=libcgsi_plugin$(GSOAP_VERSION)_cpp.so
-endif
-
-ifneq ($(USE_VOMS), $(EMPTY))
-LIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR).a
-LIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR).a
-SHLIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR).so 
-SHLIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR).so
-ifneq ($(WITH_CPP_LIBS), $(EMPTY))
-LIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR)_cpp.a
-LIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR)_cpp.a
-SHLIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR)_cpp.so 
-SHLIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR)_cpp.so
-endif
-endif
-
 INCFILES =cgsi_plugin.h
 
 INSTALL_FLAGS =
@@ -237,7 +264,7 @@
 endif
 
 .PHONY: uninstall install $(installtargets)
-install: $(INCFILES) $(LIBFILES) $(SHLIBFILES) doc
+install: $(INCFILES) $(LIBFILES) $(SHLIBFILES)
 	install -d $(PREFIX)/$(INCDIR)
 	for i in $(INCFILES); do cp $(SRCDIR)/$$i $(PREFIX)/$(INCDIR); done
 	install -d $(PREFIX)/$(LIBDIR)
@@ -247,6 +274,7 @@
 		(cd $(PREFIX)/$(LIBDIR); ln -sf $$l.$(VERSION) $$l); \
 		(cd $(PREFIX)/$(LIBDIR); ln -sf $$l.$(VERSION) $$l.$(VMAJOR)); \
 		done
+install.man: doc
 	mkdir -p $(PREFIX)/share
 	cp -r man $(PREFIX)/share/
 	mkdir -p $(PREFIX)/$(DOCDIR)
