=== debian/changelog ===
cgsi-gsoap (1.3.5-3) unstable; urgency=low

  * Adapt to multi-arch Globus installation

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 01 Dec 2013 04:49:07 +0100

cgsi-gsoap (1.3.5-2) unstable; urgency=low

  * Rebuild for new gsoap
  * Remove DM-Upload-Allowed from debian/control

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 15 May 2013 16:59:13 +0200

cgsi-gsoap (1.3.5-1) unstable; urgency=low

  * Update to version 1.3.5 (EMI 2 version)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 25 May 2012 13:28:37 +0200
