=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
 Build-Depends: debhelper, autotools-dev, libglobus-gss-assist-dev, libglobus-gssapi-gsi-dev, gsoap, voms-dev, doxygen, pkg-config
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Section: libs
-DM-Upload-Allowed: yes
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/cgsi-gsoap
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/cgsi-gsoap
