=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 -include /usr/share/dpkg/buildflags.mk
 
@@ -10,7 +12,6 @@
 _docdir = $(_datadir)/doc
 
 configure: configure-stamp
-	:
 
 configure-stamp:
 	dh_testdir
@@ -32,20 +33,18 @@
 	touch $@
 
 build: build-indep build-arch
-	:
 
 build-indep: build-stamp
-	:
 
 build-arch: build-stamp
-	:
 
 build-stamp: configure-stamp
 	dh_testdir
 
 	. ./VERSION && \
 	cd src && \
-	$(MAKE) CFLAGS="$(CFLAGS) -fPIC -I. `pkg-config --cflags gsoap`" \
+	$(MAKE) CFLAGS="$(CFLAGS) $(CPPFLAGS) -fPIC -I. `pkg-config --cflags gsoap`" \
+		GLOBUS_INCLUDE="-I/usr/include/globus -I/usr/lib/globus/include -I/usr/include/$(DEB_HOST_MULTIARCH)/globus" \
 		SHLIBLDFLAGS="$(LDFLAGS) -shared" \
 		USE_VOMS=yes WITH_EMI=yes WITH_CPP_LIBS=yes \
 		LIBDIR=lib VERSION=$$VERSION all doc
@@ -58,7 +57,8 @@
 
 	. ./VERSION && \
 	cd src && \
-	$(MAKE) CFLAGS="$(CFLAGS) -fPIC -I. `pkg-config --cflags gsoap`" \
+	$(MAKE) CFLAGS="$(CFLAGS) $(CPPFLAGS) -fPIC -I. `pkg-config --cflags gsoap`" \
+		GLOBUS_INCLUDE="-I/usr/include/globus -I/usr/lib/globus/include -I/usr/include/$(DEB_HOST_MULTIARCH)/globus" \
 		SHLIBLDFLAGS="$(LDFLAGS) -shared" \
 		USE_VOMS=yes WITH_EMI=yes WITH_CPP_LIBS=yes \
 		LIBDIR=lib VERSION=$$VERSION clean
@@ -70,18 +70,19 @@
 
 	rm -f build-stamp configure-stamp
 
-	dh_clean 
+	dh_clean
 
 install: build-stamp
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 
 	# Yes, the makefile uses RPM_BUILD_ROOT instead of the normal DESTDIR
 
 	. ./VERSION && \
 	cd src && \
-	$(MAKE) CFLAGS="$(CFLAGS) -fPIC -I. `pkg-config --cflags gsoap`" \
+	$(MAKE) CFLAGS="$(CFLAGS) $(CPPFLAGS) -fPIC -I. `pkg-config --cflags gsoap`" \
+		GLOBUS_INCLUDE="-I/usr/include/globus -I/usr/lib/globus/include -I/usr/include/$(DEB_HOST_MULTIARCH)/globus" \
 		SHLIBLDFLAGS="$(LDFLAGS) -shared" \
 		USE_VOMS=yes WITH_EMI=yes WITH_CPP_LIBS=yes \
 		LIBDIR=lib VERSION=$$VERSION \
@@ -90,7 +91,6 @@
 	mv $(INSTALLDIR)$(_docdir)/CGSI $(INSTALLDIR)$(_docdir)/cgsi-gsoap-dev
 
 binary-indep:
-	:
 
 binary-arch: install
 	dh_testdir
@@ -108,7 +108,9 @@
 	dh_installdeb
 	dh_shlibdeps -l debian/libcgsi-gsoap1/usr/lib
 
-	GSOAPLIB=`readlink /usr/lib/libgsoap.so` && \
+	if [ -r /usr/lib/$(DEB_HOST_MULTIARCH)/libgsoap.so ] ; then \
+	GSOAPLIB=`readlink /usr/lib/$(DEB_HOST_MULTIARCH)/libgsoap.so` ; else \
+	GSOAPLIB=`readlink /usr/lib/libgsoap.so` ; fi && \
 	GSOAPPKG=`dpkg -S $$GSOAPLIB | sed 's/:.*//'` && \
 	echo "gsoap:Depends=$$GSOAPPKG" >> debian/libcgsi-gsoap1.substvars
 
@@ -117,21 +119,20 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-	:
 
-VERSION=1.3.4.2
-VERSTAG=1_3_4_2
+VERSION=1.3.5
+VERSTAG=1_3_5_2
 get-orig-source:
 	if [ -r ../cgsi-gsoap_$(VERSION).orig.tar.gz ] ; then \
 	  echo "cgsi-gsoap_$(VERSION).orig.tar.gz is already existing." ; \
 	else \
 	  echo "Fetching upstream svn version" ; \
-	  svn co http://svnweb.cern.ch/guest/lcgutil/cgsi-gsoap/tags/cgsi-gsoap_R_$(VERSTAG) cgsi-gsoap-$(VERSION) ; \
+	  svn export http://svnweb.cern.ch/guest/lcgutil/cgsi-gsoap/tags/cgsi-gsoap_R_$(VERSTAG) cgsi-gsoap-$(VERSION) ; \
 	  echo "Packing it up." ; \
-	  tar --exclude .svn -z -c -f ../cgsi-gsoap_$(VERSION).orig.tar.gz \
+	  tar -z -c -f ../cgsi-gsoap_$(VERSION).orig.tar.gz \
 	    cgsi-gsoap-$(VERSION) ; \
 	  echo "Cleaning up." ; \
 	  rm -rf cgsi-gsoap-$(VERSION) ; \
 	fi
 
-.Phony: build-indep build-arch build clean binary-indep binary-arch binary install configure get-orig-source
+.Phony: binary binary-arch binary-indep build build-arch build-indep clean configure get-orig-source install
