=== debian/changelog ===
cgsi-gsoap (1.3.6-1) unstable; urgency=medium

  * Update to version 1.3.6
  * Add @brief description to header file - fixes manpage (Closes: #630033)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 27 Jun 2014 16:45:06 +0200
