=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 configure-stamp:
 	dh_testdir
 
-	[ ! -e src/Makefile.save ] && cp -p src/Makefile src/Makefile.save || :
+	[ ! -r src/Makefile.save ] && cp -p src/Makefile src/Makefile.save || :
 
 	# Fix bad permissions
 	find . '(' -name '*.h' -o -name '*.c' -o -name '*.cpp' -o \
@@ -66,7 +66,10 @@
 	rm -rf src/html
 	rm -rf src/man
 
-	[ -e src/Makefile.save ] && mv src/Makefile.save src/Makefile || :
+	rm -rf src/*.a
+	rm -rf src/*.so
+
+	[ -r src/Makefile.save ] && mv src/Makefile.save src/Makefile || :
 
 	rm -f build-stamp configure-stamp
 
@@ -120,8 +123,8 @@
 
 binary: binary-indep binary-arch
 
-VERSION=1.3.5
-VERSTAG=1_3_5_2
+VERSION=1.3.6
+VERSTAG=1_3_6
 get-orig-source:
 	if [ -r ../cgsi-gsoap_$(VERSION).orig.tar.gz ] ; then \
 	  echo "cgsi-gsoap_$(VERSION).orig.tar.gz is already existing." ; \
