## cgsi-gsoap 1.3.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 set(OUTPUT_NAME_DAVIX "cgsi-gsoap")
 set(VERSION_MAJOR 1)
 set(VERSION_MINOR 3)
-set(VERSION_PATCH 6)
+set(VERSION_PATCH 7)
 set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
