=== debian/changelog ===
cgsi-gsoap (1.3.7-1build2) wily; urgency=medium

  * No-change rebuild against libvomsapi1v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Aug 2015 10:35:42 +0200

cgsi-gsoap (1.3.7-1build1) wily; urgency=medium

  * No change rebuild for new libgsoap7

 -- Micah Gersten <micahg@ubuntu.com>  Mon, 18 May 2015 21:05:46 -0500

cgsi-gsoap (1.3.7-1) unstable; urgency=medium

  * Update to version 1.3.7
  * Add dbg package

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 08 Nov 2014 16:46:32 +0100
