=== debian/changelog ===
cgsi-gsoap (1.3.8-1build2) yakkety; urgency=medium

  * No-change rebuild for libgsoap soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Apr 2016 13:41:25 +0000

cgsi-gsoap (1.3.8-1build1) xenial; urgency=medium

  * No-change rebuild for gsoap transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2016 07:23:27 +0000

cgsi-gsoap (1.3.8-1) unstable; urgency=medium

  * Update to version 1.3.8
  * Implement Multi-Arch
  * Export SOURCE_DATE_EPOCH for reproducible builds

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 15 Aug 2015 02:04:29 +0200
