=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
 Build-Depends: debhelper, autotools-dev, libglobus-gss-assist-dev, libglobus-gssapi-gsi-dev, gsoap, voms-dev, doxygen, pkg-config
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/cgsi-gsoap
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/cgsi-gsoap
@@ -13,6 +13,7 @@
 Conflicts: cgsi-gsoap1 (<< 1.3.3.1-1)
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${gsoap:Depends}
 Description: GSI plugin for gSOAP
  This is a GSI plugin for gSOAP. It uses the globus GSI libraries to implement
@@ -24,7 +25,17 @@
 Conflicts: cgsi-gsoap-dev (<< 1.3.3.1-1)
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libcgsi-gsoap1 (= ${binary:Version}), ${misc:Depends}, gsoap
 Description: GSI plugin for gSOAP - development files
  This package provides the header files for programming with the cgsi-gsoap
  plugins.
+
+Package: libcgsi-gsoap-dbg
+Section: debug
+Architecture: any
+Multi-Arch: same
+Priority: extra
+Depends: libcgsi-gsoap1 (= ${binary:Version}), ${misc:Depends}
+Description: GSI plugin for gSOAP - debug symbols
+ This package provides the debug symbols for the libcgsi-gsoap1 package.
